kdeui Library: KColorButton Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KColorButton Class Reference

A pushbutton to display or allow user selection of a color. More...

`#include <kcolorbutton.h>`

Inheritance diagram for KColorButton:

[legend]
Collaboration diagram for KColorButton:

[legend]
List of all members.

## Signals
void | changed (const QColor &newColor)
## Public Member Functions
| KColorButton (QWidget *parent, const char *name=0L)
| KColorButton (const QColor &c, QWidget *parent, const char *name=0L)
| KColorButton (const QColor &c, const QColor &defaultColor, QWidget *parent, const char *name=0L)
QColor | color () const
void | setColor (const QColor &c)
QColor | defaultColor () const
void | setDefaultColor (const QColor &c)
QSize | sizeHint () const
## Protected Slots
void | chooseColor ()
## Protected Member Functions
virtual void | drawButtonLabel (QPainter *p)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | virtual_hook (int id, void *data)
## Properties
QColor | color

## Detailed Description

A pushbutton to display or allow user selection of a color.

This widget can be used to display or allow user selection of a color.

See also:
  KColorDialog

KDE Color Button

Definition at line 37 of file kcolorbutton.h.

## Constructor & Destructor Documentation

KColorButton::KColorButton | ( | QWidget * | parent,
|  | const char * | name = `0L`
| ) |

| Creates a color button. Definition at line 41 of file kcolorbutton.cpp. References QPushButton::clicked().

KColorButton::KColorButton | ( | const QColor & | c,
|  | QWidget * | parent,
|  | const char * | name = `0L`
| ) |

| Creates a color button with an initial color `c`. Definition at line 53 of file kcolorbutton.cpp. References QPushButton::clicked().

KColorButton::KColorButton | ( | const QColor & | c,
|  | const QColor & | defaultColor,
|  | QWidget * | parent,
|  | const char * | name = `0L`
| ) |

| Since: 3.1 Definition at line 66 of file kcolorbutton.cpp. References QPushButton::clicked(), and defaultColor().

## Member Function Documentation

QColor KColorButton::color | ( |  | ) | const`[inline]`

| Returns the currently chosen color. Definition at line 61 of file kcolorbutton.h.

void KColorButton::setColor | ( | const QColor & | c | ) |

| Sets the current color to `c`. Definition at line 84 of file kcolorbutton.cpp. References changed().

QColor KColorButton::defaultColor | ( |  | ) | const

| Returns the default color or an invalid color if no default color is set. Since: 3.4 Definition at line 93 of file kcolorbutton.cpp. Referenced by KColorButton().

void KColorButton::setDefaultColor | ( | const QColor & | c | ) |

| Sets the default color to `c`. Since: 3.4 Definition at line 98 of file kcolorbutton.cpp. References QColor::isValid().

void KColorButton::changed | ( | const QColor & | newColor | ) | `[signal]`

| Emitted when the color of the widget is changed, either with setColor() or via user selection. Referenced by setColor().

The documentation for this class was generated from the following files:

- kcolorbutton.h
- kcolorbutton.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:44 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003